Bug 816035 - [TestCase]After setting chosen cases with new default tester, the case list turns to displaying some other cases being chosen
Summary: [TestCase]After setting chosen cases with new default tester, the case list t...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Application
Version: 3.7.0
Hardware: Unspecified
OS: Linux
medium
low
Target Milestone: ---
: 3.8.0
Assignee: Yang Ren
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-25 06:27 UTC by Guoping Feng
Modified: 2021-02-16 02:43 UTC (History)
4 users (show)

Fixed In Version: 3.8.0-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Guoping Feng 2012-04-25 06:27:07 UTC
Description of problem:
When setting new default tester to some chosen cases, after the new default tester is set, the cases list is refreshed, the former chosen cases are supposed to be still displayed as chosen state, but actually after refreshing, there are some cases displayed as chosen which are not the former chosen ones.

Version-Release number of selected component (if applicable):
tcms-stage - 3.7.0-1

How reproducible:
always

Steps to Reproduce:
1.Enter into any test plan.
2.Choose some cases and click "Default Tester" tab to input new default tester, then submit.
3.After the cases list is refreshed, check the cases chosen in step2.
  
Actual results:
1.The chosen cases are set with new default tester.
2.After the case list is refreshed, the cases chosen in step2 is no longer displayed as chosen state, while it turns to displaying some other cases being chosen.

Expected results:
The cases set with new default testers should still be displayed being chosen after the setting is done just like the situation of setting "Tag", "Automated" or "Status".

Additional info:

Comment 1 yawei Li 2012-05-16 08:23:11 UTC
only the first time changing default tester can reproduce this issue. If batch change the tag first, then changing default tester, the tags info is correctly selected.

Comment 2 Zheng Liu 2012-07-17 06:01:37 UTC
This bug has been fixed.Please verify in Version 3.8.0

Comment 3 xubai 2012-07-26 03:17:36 UTC
Verify 3.8.0-1 on stage --> PASS

Verify steps:
1.Enter into any test plan.
2.Choose some cases and click "Default Tester" tab to input new default tester, then submit.
3.After the cases list is refreshed, check the cases chosen in step2.

Actual results:
1.The chosen cases are set with new default tester.
2.After the case list is refreshed, the cases chosen in step2 are still in chosen state. And no others cases are being chosen after refreshed.


Note You need to log in before you can comment on or make changes to this bug.